Jun 21, 2022
9 Views
0 0

WordPress Update Millions of Sites to patch a Critical Vulnerability Affecting the Ninja Forms Plugin

Written by

Content management system (CMS) provider WordPress has forcibly updated over a million sites in order to patch a critical vulnerability affecting the Ninja Forms plugin.

The Wordfence threat intelligence team spotted the flaw in June and documented it in an advisory by the company on Thursday.

The document said that the code injection vulnerability made it possible for unauthenticated attackers to call a limited number of methods in various Ninja Forms classes, including one that resulted in Object Injection.

The post read, “we determined that this could lead to a variety of exploit chains due to the various classes and functions that the Ninja Forms plugin contains.”

“One potentially critical exploit chain, in particular, involves the use of the NF_Admin_Processes_ImportForm class to achieve remote code execution via deserialization, though there would need to be another plugin or theme installed on the site with a usable gadget.”

The researchers also stated that there was some evidence suggesting the vulnerability was being actively exploited in the wild.

“As such, we are alerting our users immediately to the presence of this vulnerability.”

After being notified of the issue, WordPress released a patch that was automatically applied to sites running the following versions of the plugin: 3.0.34.2, 3.1.10, 3.2.28, 3.3.21.4, 3.4.34.2, 3.5.8.4 and 3.6.11.

Wordfence warned, “nonetheless, we strongly recommend ensuring that your site has been updated to one of the patched versions as soon as possible since automatic updates are not always successful.”

The company also said it would update the text of the advisory as they learn more about the types of explicit chains attackers are using to take advantage of this vulnerability.

Back in February, researchers found a bug in another popular WordPress plugin, UpDraft Plus, affecting more than three million websites.

The post WordPress Update Millions of Sites to patch a Critical Vulnerability Affecting the Ninja Forms Plugin appeared first on IT Security Guru.

source

Article Categories:
Mobile Security

Comments are closed.